> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# ऑडियो नेटिव प्रोजेक्ट सेटिंग्स पाएं

GET https://api.elevenlabs.io/v1/audio-native/{project_id}/settings

खास प्रोजेक्ट के लिए प्लेयर सेटिंग्स पाएं।

Reference: https://elevenlabs.io/docs/api-reference/audio-native/get-settings

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — स्टूडियो प्रोजेक्ट की ID।

## Response

### 200

सफल रिस्पॉन्स

- `enabled` (boolean, required) — क्या प्रोजेक्ट सक्षम है।
- `snapshot_id` (string, optional, nullable) — प्रोजेक्ट के नवीनतम स्नैपशॉट की ID।
- `settings` (AudioNativeProjectSettingsResponseModel, optional, nullable) — प्रोजेक्ट की सेटिंग्स।

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### AudioNativeProjectSettingsResponseModel

- `title` (string, required) — प्रोजेक्ट का शीर्षक।
- `image` (string, required) — प्रोजेक्ट की इमेज।
- `author` (string, required) — प्रोजेक्ट के लेखक।
- `small` (boolean, required) — क्या प्रोजेक्ट छोटा है।
- `text_color` (string, required) — प्रोजेक्ट के टेक्स्ट का रंग।
- `background_color` (string, required) — प्रोजेक्ट का बैकग्राउंड रंग।
- `sessionization` (integer, required) — प्रोजेक्ट का सेशनाइज़ेशन। यह बताता है कि पेज रीलोड्स के दौरान सेशन कितने मिनट तक बना रहेगा।
- `audio_path` (string, optional, nullable) — ऑडियो फ़ाइल का पाथ।
- `audio_url` (string, optional, nullable) — ऑडियो फ़ाइल का URL।
- `status` (enum, optional, default: ready) — प्रोजेक्ट की वर्तमान स्थिति
  - Allowed values: `processing`, `ready`

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "enabled": true,
  "snapshot_id": "JBFqnCBsd6RMkjVDRZzb",
  "settings": {
    "title": "My Project",
    "image": "https://example.com/image.jpg",
    "author": "John Doe",
    "small": false,
    "text_color": "#000000",
    "background_color": "#FFFFFF",
    "sessionization": 1,
    "audio_path": "audio/my_project.mp3",
    "audio_url": "https://example.com/audio/my_project.mp3",
    "status": "ready"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/audio-native/21m00Tcm4TlvDq8ikWAM/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```